function vertex=makeVertical(vertex, R,t) 
    %vertex=makeVertical(vertex)
    %Rotates all vertices according to  (vertex-repmat(t,size(vertex,1),1))*R'
    %input:
    %vertex: Nx3 double matrix with coordinates    
    %R,t: the transformation that aligns the point cloud with the vertical
    %    direction
    % output:
    % vertex - (vertex-repmat(t,size(vertex,1),1))*R'; point cloud aligned with the vertical
    %    direction
    % Copyright(r) 2015 Susana Brandao
    
    

    vertex=vertex-repmat(t,size(vertex,1),1);
    vertex=vertex*R';
end
