function L0=computeLap(vertex,faces)
%L0=computeLap(vertex,faces)
%vertex: Nx3 double matrix - the coordinates of the vertex
%faces:  Mx3 int matrix - the indices of the vertices that compose the
%                         triangular faces


    laplacian_type = 'distance'; % fast and more accurate
    options.symmetrize = 1;
    options.normalize = 0;
 
    %clean vertex list from those who are not in a mesh (this should have been done using meshlab)

    
    L0 = compute_mesh_laplacian(double(vertex),faces,laplacian_type,options);
end